Playmaker Forum

Playmaker Updates & Downloads => Official Action Updates => Topic started by: pixeltroll on September 22, 2013, 10:34:00 AM

Title: ngui does not work with playmaker (compile problem)
Post by: pixeltroll on September 22, 2013, 10:34:00 AM
I have a problem  with playmaker and NGUI.
Both is installed, both separatly works fine, but if I install the Plamaker NGUI actions  the engine is not able to compile anymore.
also a reinstall off all components does not help.
The error mesage does not help  much
All compiler errors have to be fixed before you can enter playmode!
UnityEditor.SceneView:ShowCompileErrorNotification()

Is anyone able to help please?
Title: Re: ngui does not work with playmaker (compile problem)
Post by: jeanfabre on September 22, 2013, 10:59:22 PM
Hi,

Open the unity console and see what errors are listed. Can you paste them here?

bye,

 Jean
Title: Re: ngui does not work with playmaker (compile problem)
Post by: Andy22 on October 14, 2013, 07:29:36 AM
Thats because the Free NGUI addon package is not yet NGUI 3.0 compatible, the compile errors are minor and u can fix those. Mainly the tween component is now called "UIPlayTween".

So u can fix the few errors yourself, wait for a update or use NGUI 2.x for now. Be aware that switching NGUI from 2.x to 3.x comes with it owns problems.